package cn.iocoder.yudao.module.order.convert.orderExceptionChannelPrice;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderExceptionChannelPrice.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderExceptionChannelPrice.OrderExceptionChannelPriceDO;

/**
 * 不可出渠道异常商品价格 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderExceptionChannelPriceConvert {
    /*****转换MapStruct*****/
    OrderExceptionChannelPriceConvert INSTANCE = Mappers.getMapper(OrderExceptionChannelPriceConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderExceptionChannelPriceDO convert(OrderExceptionChannelPriceCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderExceptionChannelPriceDO convert(OrderExceptionChannelPriceUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderExceptionChannelPriceBackVO convert(OrderExceptionChannelPriceDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderExceptionChannelPriceBackVO> convertList(List<OrderExceptionChannelPriceDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderExceptionChannelPriceBackVO> convertPage(PageResult<OrderExceptionChannelPriceDO> page);
}
